/***************************************************************************
                          phasescope.h  -  description
                             -------------------
    begin                : Sun Sep 19 1999
    copyright            : (C) 1999 by Edson Pereira
    email                : edson_pereira@harvard.edu
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   * 
 *                                                                         *
 ***************************************************************************/


#ifndef PHASESCOPE_H
#define PHASESCOPE_H

#include <qwidget.h>
#include <qframe.h>

/**
  *@author Edson Pereira
  */

class PhaseScope : public QWidget  {
	Q_OBJECT

public:
	PhaseScope( QWidget *parent=0, const char *name=0 );
	~PhaseScope();
    void inline set( int _phdelta, int _amplitude, int _dcd )
    {
  	    phdelta = _phdelta;
  	    dcd = _dcd;
		amplitude = _amplitude;
		tx = 0;
	};

public slots:
  void plot( void );
  /**  */
  void plotPhase( int );

private:
	void paintEvent( QPaintEvent * );

	int phdelta;
	int amplitude;
	int dcd;
    int tx;

   QPainter *p, *tmp;

};

#endif










